List wallet transactions
curl --request GET \
--url https://api.sandbox.bitwage.com/api/wallets/transactions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.bitwage.com/api/wallets/transactions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.bitwage.com/api/wallets/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"id": "<string>",
"created": "<string>",
"amount": "<string>",
"fee_amount": "<string>",
"fee_currency": "<string>",
"currency": "<string>",
"status": "<string>",
"type": "<string>",
"tx_hash": "<string>"
}
],
"pagination": {
"page": 123,
"total": 123,
"pages": 123,
"has_prev": true,
"has_next": true,
"prev_num": 123,
"next_num": 123,
"per_page": 123
}
}Wallets
List wallet transactions
List transactions for a wallet by wallet ID. The partner must have access to the company that owns the wallet.
GET
/
api
/
wallets
/
transactions
List wallet transactions
Authorizations
API key authentication. Include your access token as:
Authorization: Basic <ACCESS_TOKEN>
Query Parameters
Wallet ID.
Page number.
Required range:
x >= 1Number of transactions per page.
Required range:
x >= 1⌘I